Appium 1.6.0 Released


#21

I guess so, when Appium 1.6.0 GUI will be officially released. Let’s wait :slight_smile:


#22

Have any idea if we are talking about weeks or months?
Thanks


#23

…or years :slight_smile:

Just use the cli version for now if you want the latest build. I’ve struggled with it myself for a couple of days, now it seems as good as the app.


#25

Hi All,

I am trying to install appium verison 1.6.0 using npm command, but i am always getting stuck while application is trying to install ‘Chrome-Driver’.
Can someone giude me, why I am getting this issue.

Thanks in advance.

I am getting this err : RequestError: Error: connect ETIMEDOUT 172.26.120.23:80.
I have appended the logs of the installation as well.

[email protected] install /Users/ideas/node_modules/appium-chromedriver
node install-npm.js

(node:9979) DeprecationWarning: os.tmpDir() is deprecated. Use os.tmpdir() instead.
info Chromedriver Install Installing Chromedriver version ‘2.25’ for platform ‘mac’ and architecture ‘64’
info Chromedriver Install Opening temp file to write chromedriver_mac64 to…
info Chromedriver Install Downloading http://chromedriver.storage.googleapis.com/2.25/chromedriver_mac64.zip
RequestError: Error: connect ETIMEDOUT 172.26.120.23:80
at new RequestError (/Users/ideas/node_modules/request-promise/lib/errors.js:11:15)
at Request.RP$callback as _callback
at self.callback (/Users/ideas/node_modules/request/request.js:186:22)
at emitOne (events.js:96:13)
at Request.emit (events.js:188:7)
at Request.onRequestError (/Users/ideas/node_modules/request/request.js:824:8)
at emitOne (events.js:96:13)
at ClientRequest.emit (events.js:188:7)
at Socket.socketErrorListener (httpclient.js:309:9)
at emitOne (events.js:96:13)
at Socket.emit (events.js:188:7)
at emitErrorNT (net.js:1281:8)
at combinedTickCallback (internal/process/nexttick.js:74:11)
at process.tickCallback (internal/process/nexttick.js:98:9)

[email protected] install /Users/ideas/node_modules/appium/node_modules/appium-chromedriver
node install-npm.js

(node:9987) DeprecationWarning: os.tmpDir() is deprecated. Use os.tmpdir() instead.
info Chromedriver Install Installing Chromedriver version ‘2.21’ for platform ‘mac’ and architecture ‘32’
info Chromedriver Install Opening temp file to write chromedriver_mac32 to…
info Chromedriver Install Downloading http://chromedriver.storage.googleapis.com/2.21/chromedriver_mac32.zip
RequestError: Error: connect ETIMEDOUT 172.26.120.23:80
at new RequestError (/Users/ideas/node_modules/appium/node_modules/request-promise/lib/errors.js:11:15)
at Request.RP$callback as _callback
at self.callback (/Users/ideas/node_modules/appium/node_modules/request/request.js:187:22)
at emitOne (events.js:96:13)
at Request.emit (events.js:188:7)
at Request.onRequestError (/Users/ideas/node_modules/appium/node_modules/request/request.js:813:8)
at emitOne (events.js:96:13)
at ClientRequest.emit (events.js:188:7)
at Socket.socketErrorListener (httpclient.js:309:9)
at emitOne (events.js:96:13)
at Socket.emit (events.js:188:7)
at emitErrorNT (net.js:1281:8)
at combinedTickCallback (internal/process/nexttick.js:74:11)
at process.tickCallback (internal/process/nexttick.js:98:9)
/Users/ideas
└── (empty)

npm WARN enoent ENOENT: no such file or directory, open ‘/Users/ideas/package.json’
npm WARN ideas No description
npm WARN ideas No repository field.
npm WARN ideas No README data
npm WARN ideas No license field.
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: [email protected] (node_modules/appium-chromedriver):
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: appium-chrom[email protected] install: node install-npm.js
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: Exit status 1
npm ERR! Darwin 15.6.0
npm ERR! argv “/usr/local/Cellar/node/7.0.0/bin/node” “/usr/local/bin/npm” “install” “[email protected]
npm ERR! node v7.0.0
npm ERR! npm v3.10.8
npm ERR! code ELIFECYCLE

npm ERR! [email protected] install: node install-npm.js
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the [email protected] install script ‘node install-npm.js’.
npm ERR! Make sure you have the latest version of node.js and npm installed.
npm ERR! If you do, this is most likely a problem with the appium-chromedriver package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR! node install-npm.js
npm ERR! You can get information on how to open an issue for this project with:
npm ERR! npm bugs appium-chromedriver
npm ERR! Or if that isn’t available, you can get their info via:
npm ERR! npm owner ls appium-chromedriver
npm ERR! There is likely additional logging output above.

npm ERR! Please include the following file with any support request:
npm ERR! /Users/ideas/npm-debug.log
npm ERR! code 1


#26

Can u please tell how did u manage to set xcode 8 path to appium 1.6.0 beta through command?


#27

I have managed to install/run appium v1.6.0. Do you still need help?


#28

Hi Vijay,

Have you resolved the Carthage issue??


#29

can u help me from where i can install 1.6 for mac


#30

I’ve created a blog post which goes through complete steps.

Its copy/paste of official installation guide by appium but with some changes/additions. One of which is, instead of cloning git repository of appium, you should do “npm install -g appium” from terminal.


#31

Yes, But what i noticed is that Appium 1.6.X still doesn’t support many gestures other than Tap. so waiting for stable release, But i can run and tap on the app


#32

is it possible to use Xpath to locate elements in windows application using Appium 1.6.0?


#33

@gretes you have appium iOS inspector in github …


#34

Thanks @pavanbachu, But i need it for windows application…Can u pls clarify.


#35

Can someone please let me know how to install Appium 1.6.0?


#36

Hi,

I am getting following error while running ios simulator -

[debug] [XCUITest] Installing app ‘/Users/imac5kteststation/Documents/testView_App/testView.app’ on device
[XCUITest] Using WDA path: ‘/usr/local/lib/node_modules/appium/node_modules/appium-xcuitest-driver/WebDriverAgent’
[XCUITest] Using WDA agent: ‘/usr/local/lib/node_modules/appium/node_modules/appium-xcuitest-driver/WebDriverAgent/WebDriverAgent.xcodeproj’
[XCUITest] Launching WebDriverAgent on the device
[debug] [XCUITest] Carthage found: /usr/local/bin/carthage
[debug] [XCUITest] Running WebDriverAgent bootstrap script to install dependencies
[XCUITest] Error: Command ‘/bin/bash Scripts/bootstrap.sh -d’ exited with code 1
at ChildProcess. (…/…/lib/teen_process.js:66:19)
at emitTwo (events.js:106:13)
at ChildProcess.emit (events.js:191:7)
at maybeClose (internal/child_process.js:877:16)
at Process.ChildProcess._handle.onexit (internal/child_process.js:226:5)
{ Error: Command ‘/bin/bash Scripts/bootstrap.sh -d’ exited with code 1
at ChildProcess. (…/…/lib/teen_process.js:66:19)
at emitTwo (events.js:106:13)
at ChildProcess.emit (events.js:191:7)
at maybeClose (internal/child_process.js:877:16)
at Process.ChildProcess._handle.onexit (internal/child_process.js:226:5)
stdout: ‘\u001b[1mFetching dependencies\n*** Downloading KissXML.framework binary at “5.0.5”\n’,
stderr: ‘Failed to write to /usr/local/lib/node_modules/appium/node_modules/appium-xcuitest-driver/WebDriverAgent/Carthage/Build/iOS: Error Domain=NSCocoaErrorDomain Code=513 “You don’t have permission to save the file “iOS” in the folder “Build”.” UserInfo={NSFilePath=/usr/local/lib/node_modules/appium/node_modules/appium-xcuitest-driver/WebDriverAgent/Carthage/Build/iOS, NSUnderlyingError=0x7fc9a543b4a0 {Error Domain=NSPOSIXErrorDomain Code=13 “Permission denied”}}\n’,
code: 1 }
[XCUITest] Shutting down sub-processes
[debug] [XCUITest] Running iOS simulator reset flow

Desired Capabilities –

DesiredCapabilities cap = new DesiredCapabilities();

	File app = new File("/Users/imac5k/Documents/testView_App/testView.app");
	cap.setCapability(MobileCapabilityType.PLATFORM_VERSION, "10.0");
	cap.setCapability(MobileCapabilityType.PLATFORM_NAME, "iOS");
	cap.setCapability(MobileCapabilityType.DEVICE_NAME, "iPhone 7 Plus");
	cap.setCapability(MobileCapabilityType.AUTOMATION_NAME,"XCUITest");
	cap.setCapability(MobileCapabilityType.BROWSER_NAME, "");
	cap.setCapability(MobileCapabilityType.APP, app.getAbsolutePath());
	
	IOSDriver driver = new IOSDriver(new URL("http://14.122.34.333:4723/wd/hub"),cap);

Could anyone tell what is the issue here?


#37

Have you installed Carthage too? Its a new dependency for running XCUI based tests. If not, you can do “npm install -g carthage” from terminal. Also by looking at the error I guess you might not have done “authorize-ios” from terminal. If not installed you will have to do “npm install -g authorize-ios” and then “authorize-ios”.
This link might be of further help:


Can't install iOS app on the appium 1.6
#38

Hi Guys, Just wanted to know if, Webview_undefined issue ( #6627) https://github.com/appium/appium/issues/6627, has been addressed by this built?


#39

Hi
Is it possible to have Appium1.6.0 with graphical interface, i got stuck trying to make it work with command line


#40

hi can you provide me the liknk for appium 1.6.2 version


#41

There is no link, you must install it via npm.